## org.h2.test
Class TestAll

    java.lang.Object
      org.h2.test.TestAll

    public class TestAll

extends java.lang.Object

The main test application. JUnit is not used because loops are easier to write in regular java applications (most tests are ran multiple times using different settings).

Field Summary
`boolean` `big` If the test should run with many rows.
`java.lang.String` `cipher` The cipher to use (null for unencrypted).
`boolean` `codeCoverage` If code coverage is enabled.
`boolean` `deleteIndex` If index files should be deleted before re-opening the database.
`boolean` `googleAppEngine` If testing on Google App Engine.
`boolean` `jdk14` If only JDK 1.4 methods should be tested.
`int` `logMode` The log mode to use.
`boolean` `memory` If in-memory databases should be used.
`boolean` `mvcc` If the multi version concurrency control mode should be used.
`boolean` `networked` If remote database connections should be used.
`boolean` `pageStore` If the test should run with the page store flag.
`int` `traceLevelFile` The file trace level value to use.
`boolean` `traceTest` If test trace information should be written (for debugging only).

Constructor Summary
`TestAll()`

Method Summary
`static void` `main(java.lang.String... args)` Run all tests.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pageStore

    public boolean pageStore

  If the test should run with the page store flag.

### big

    public boolean big

  If the test should run with many rows.

### networked

    public boolean networked

  If remote database connections should be used.

### memory

    public boolean memory

  If in-memory databases should be used.

### deleteIndex

    public boolean deleteIndex

  If index files should be deleted before re-opening the database.

### codeCoverage

    public boolean codeCoverage

  If code coverage is enabled.

### mvcc

    public boolean mvcc

  If the multi version concurrency control mode should be used.

### logMode

    public int logMode

  The log mode to use.

### cipher

    public java.lang.String cipher

  The cipher to use (null for unencrypted).

### jdk14

    public boolean jdk14

  If only JDK 1.4 methods should be tested.

### traceLevelFile

    public int traceLevelFile

  The file trace level value to use.

### traceTest

    public boolean traceTest

  If test trace information should be written (for debugging only).

### googleAppEngine

    public boolean googleAppEngine

  If testing on Google App Engine.

Constructor Detail

### TestAll

    public TestAll()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

  Run all tests.

  Parameters:
    `args` - the command line arguments
  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`